summaryrefslogtreecommitdiffstats
path: root/source/l/gvfs/gvfs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gvfs/gvfs.SlackBuild')
-rwxr-xr-xsource/l/gvfs/gvfs.SlackBuild32
1 files changed, 24 insertions, 8 deletions
diff --git a/source/l/gvfs/gvfs.SlackBuild b/source/l/gvfs/gvfs.SlackBuild
index 5006eca3f..9a330fd91 100755
--- a/source/l/gvfs/gvfs.SlackBuild
+++ b/source/l/gvfs/gvfs.SlackBuild
@@ -1,6 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2009-2012 Robby Workman, Northport, Alabama, USA
+# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,11 +21,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=gvfs
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:--j6}
+NUMJOBS=${NUMJOBS:-" -j7 "}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -34,7 +37,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -65,6 +75,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ ! -x configure ]; then
+ autoreconf -vif || exit 1
+fi
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -74,16 +88,18 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--enable-gtk-doc \
- --disable-hal \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Don't set AutoMount to true for network volumes. Doing so leads to long
-# delays in Thunar. Users may click the network button in Thunar to mount
-# them instead.
-sed -i -e "s/AutoMount=true/AutoMount=false/g" $PKG/usr/share/gvfs/mounts/network.mount
+## This was an issue in 2012, but we will try commenting this sed command out
+## in 2017 hoping that the issue no longer occurs...
+##
+## Don't set AutoMount to true for network volumes. Doing so leads to long
+## delays in Thunar. Users may click the network button in Thunar to mount
+## them instead.
+#sed -i -e "s/AutoMount=true/AutoMount=false/g" $PKG/usr/share/gvfs/mounts/network.mount
# Don't ship .la files:
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la